de.vc.io.rtf.parser

## Class ListLevel

- java.lang.Object
- - de.vc.io.rtf.parser.TokenHandler
  - - de.vc.io.rtf.parser.DefaultTokenHandler
    - - de.vc.io.rtf.parser.ListLevel

- All Implemented Interfaces:
    StateLeavedListener, java.lang.Cloneable

      public class ListLevel
      extends DefaultTokenHandler
      implements StateLeavedListener, java.lang.Cloneable

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `alignment`
    `boolean` | `noRestart`
    `byte[]` | `numberIdx`
    `RTFProperties` | `properties`
    `int` | `startValue`
    `java.lang.String` | `text`
    `int` | `type`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `ListLevel(Definitions defs, TokenInput parser)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ListLevel` | `cloned()`
    `java.lang.String` | `currentAsText()`
    `int` | `currentValue()`
    `boolean` | `isBullet()`
    `void` | `nextValue()`
    `void` | `reset()`
    `void` | `stateClosed(ParserState state, int type)` Invoked if a state is about to close.

    - ### Methods inherited from class de.vc.io.rtf.parser.DefaultTokenHandler

      `getCurrentProperties, getParserState, getTokenInput, handleBraceClosed, handleBraceOpened, handleControl, handleText, readTextBytes, readTextOnly, skipCurrentLevel`

    - ### Methods inherited from class de.vc.io.rtf.parser.TokenHandler

      `getDefaultEncoding, getDefinitions, getTextEncoding, handleOptionalHyphen, handleText, handleToken`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### startValue

          public int startValue

    - #### type

          public int type

    - #### alignment

          public int alignment

    - #### text

          public java.lang.String text

    - #### numberIdx

          public byte[] numberIdx

    - #### noRestart

          public boolean noRestart

    - #### properties

          public RTFProperties properties

  - ### Constructor Detail

    - #### ListLevel

          protected ListLevel(Definitions defs,
                   TokenInput parser)

  - ### Method Detail

    - #### stateClosed

          public void stateClosed(ParserState state,
                         int type)

      Description copied from interface: `StateLeavedListener`
      Invoked if a state is about to close.
      Specified by:
        `stateClosed` in interface `StateLeavedListener`
      Parameters:
        `state` - State that is closed.
        `type` - int

    - #### cloned

          public ListLevel cloned()

    - #### nextValue

          public void nextValue()

    - #### currentValue

          public int currentValue()

    - #### currentAsText

          public java.lang.String currentAsText()

    - #### reset

          public void reset()

    - #### isBullet

          public boolean isBullet()

© 2003-2011 by Sascha Schmidt (vision-cloud.de). All Rights Reserved.